//
//  AppDelegate.h
//  GeoCalculatorApp
//
//  Created by Holger Hinzberg on 09.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GeometryCalculator.h"

@interface GeoCalculatorAppDelegate : NSObject <NSApplicationDelegate>
{
    // Ein GeometryCalculator-Objekt
    // für die ganze Anwendung
    GeometryCalculator *calculator;
}

@property (assign) IBOutlet NSWindow *window;
@property (weak) IBOutlet NSTextField *widthTextField;
@property (weak) IBOutlet NSTextField *lengthTextField;
@property (weak) IBOutlet NSTextField *heightTextField;
@property (weak) IBOutlet NSTextField *areaTextField;
@property (weak) IBOutlet NSTextField *volumeTextField;

- (IBAction)clearTextFieldsClicked:(id)sender;
- (IBAction)calculateClicked:(id)sender;

@end
