//
//  ViewController.m
//  Hello iOS
//
//  Created by Holger Hinzberg on 15.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController
@synthesize textLabel;

- (IBAction)clickMeButtonTouched:(id)sender;
{
    textLabel.text = @"Hello iOS World";
}

- (IBAction)clearMeButtonTouched:(id)sender;
{
    textLabel.text = @"";
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    // Aufruf der Elternklasse
    [super viewDidLoad];
    // Den Text im Label entfernen
    textLabel.text = @"";
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
