//
//  DetailViewController.m
//  CountryDB
//
//  Created by Holger Hinzberg on 26.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "DetailViewController.h"

@interface DetailViewController ()

@end

@implementation DetailViewController
@synthesize aCountry = _aCountry;
@synthesize countryNameLabel = _countryNameLabel;    
@synthesize capitalLabel = _capitalLabel;
@synthesize populationLabel = _populationLabel;
@synthesize areaLabel = _areaLabel;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewWillAppear:(BOOL)animated
{
    self.navigationItem.title = @"Landesdaten";
    
    // Daten aus dem Country-Objekt auf
    // den View übertragen.
    _countryNameLabel.text = _aCountry.countryName;
    _capitalLabel.text = _aCountry.capital;
    _populationLabel.text = _aCountry.population;
    _areaLabel.text = _aCountry.area;
}

 

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [self setCountryNameLabel:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
