//
//  GearViewController.m
//  NavigationStoryboard
//
//  Created by Holger Hinzberg on 05.03.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "GearViewController.h"

@interface GearViewController ()

@end

@implementation GearViewController
@synthesize gear;
@synthesize manualGearButton;
@synthesize automaticGearButton;
@synthesize delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}


- (void)viewDidLoad
{
    [super viewDidLoad];

    NSLog(@"%@",self.gear);
    
    if ([self.gear isEqualToString:@"Automatik"])
    {
        self.automaticGearButton.titleLabel.textColor 
        = [UIColor blackColor];
        self.manualGearButton.titleLabel.textColor 
        = [UIColor grayColor];
    }
    else if ([self.gear isEqualToString:@"Schaltgetriebe"])
    {
        self.automaticGearButton.titleLabel.textColor 
        = [UIColor grayColor];
        self.manualGearButton.titleLabel.textColor 
        = [UIColor blackColor];
    }
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)manualGearButtonClicked:(id)sender 
{
    self.gear = @"Schaltgetriebe";
    [self.delegate gearDidChange:self];   
}

- (IBAction)automaticGearButtonClicked:(id)sender
{
    self.gear = @"Automatik";
    [self.delegate gearDidChange:self];  
}

@end
