//
//  main.m
//  NSMutableString-Demo
//
//  Created by Holger Hinzberg on 12.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>

int main (int argc, const char * argv[])
{

    @autoreleasepool {
        
        // 'Hallo' durch 'Guten Morgen' ersetzen. 
        NSMutableString *myText =
        [NSMutableString stringWithString:
        @"Hallo Cocoa Entwickler"];
            
        NSRange partRange = NSMakeRange(0,5);
        [myText replaceCharactersInRange:
        partRange withString:@"Guten Morgen"];
            
        // Die erste Ausgabe
        NSLog(@"%@",myText); 
            
        // Alle 'e' durch 'A' ersetzten
        NSRange completeRange = 
        NSMakeRange(0,[myText length]);
            
        [myText replaceOccurrencesOfString:
        @"e"withString: @"A"options:
        NSCaseInsensitiveSearch range:completeRange];
            
        // Alle 'o' aus dem Text entfernen
            
        [myText replaceOccurrencesOfString:
        @"o"withString: @""options:
        NSCaseInsensitiveSearch range:completeRange];
            
        // Die zweite Ausgabe
        NSLog(@"%@",myText);
        
    }
    return 0;
}

