//
//  Person.m
//  Speicherverwaltung
//
//  Created by Holger Hinzberg on 14.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "Person.h"

@implementation Person

-(id)init
{
    // Initialisierung der Elternklasse
    if ((self = [super init]))
    {
        // Standardwerte setzten.
        // Mit self über Accessor-Methoden
        [self setName:@"Müller"];
        [self setFirstname:@"Max"];
        [self setAge:45];
    }
    return self;
}

- (id)initWithName:(NSString *) aName
         Firstname:(NSString *) aFirstname
               Age:(int)aAge 

{
    if ((self = [super init]))
    {
        [self setName:aName];
        [self setFirstname:aFirstname];
        [self setAge:aAge];
    }
    return self;
}


- (int)age
{
    return age;
}

- (void)setAge:(int)value 
{
    if (age != value)
    {
        age = value;
    }
}

- (NSString *)name
{
    return [[name retain] autorelease];
}

- (void)setName:(NSString *)value
{
    if (name != value)
    {
        [name release];
        name = [value copy];
    }
}

- (NSString *)firstname 
{
    return [[firstname retain] autorelease];
}

- (void)setFirstname:(NSString *)value 
{    
    if (firstname != value)
    {
        [firstname release];
        firstname = [value copy];
    }
}

-(void)sayYourName
{
    NSLog(@"Mein Name ist %@ %@.", firstname, name);
}

-(NSString *)description
{
    NSString *descr = [[NSString alloc]
                       initWithFormat:@"Ich bin eine Person."];
    return [descr autorelease];
}

- (void)dealloc
{
    // Objekte freigeben
    [firstname release];
    [name release];
    [super dealloc];
}


@end
