//
//  GearViewController.h
//  NavigationStoryboard
//
//  Created by Holger Hinzberg on 05.03.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <UIKit/UIKit.h>

@class GearViewController;

@protocol GearViewControllerDelegateProtcol <NSObject>

-(void)gearDidChange:(GearViewController *)controller;

@end

@interface GearViewController : UIViewController

@property (nonatomic, weak) 
id <GearViewControllerDelegateProtcol> delegate;

@property (strong, nonatomic) NSString *gear;

@property (strong, nonatomic)
   IBOutlet UIButton *manualGearButton;
@property (strong, nonatomic)
   IBOutlet UIButton *automaticGearButton;

- (IBAction)manualGearButtonClicked:(id)sender;
- (IBAction)automaticGearButtonClicked:(id)sender;

@end
