//
//  Person.m
//  Speicherverwaltung
//
//  Created by Holger Hinzberg on 14.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "Person.h"

@implementation Person

// Anweisungen für den Compiler für diese
// Bezeichner Accessor-Methoden zu erzeugen.
@synthesize name;
@synthesize firstname;
@synthesize age;

-(id)init
{
    // Initialisierung der Elternklasse
    if ((self = [super init]))
    {
        // Standardwerte setzten.
        // Mit self über Accessor-Methoden
        [self setName:@"Müller"];
        [self setFirstname:@"Max"];
        [self setAge:45];
    }
    return self;
}

- (id)initWithName:(NSString *) aName
         Firstname:(NSString *) aFirstname
               Age:(int)aAge 

{
    if ((self = [super init]))
    {
        [self setName:aName];
        [self setFirstname:aFirstname];
        [self setAge:aAge];
    }
    return self;
}


-(void)sayYourName
{
    NSLog(@"Mein Name ist %@ %@.", firstname, name);
}

-(NSString *)description
{
    NSString *descr = [[NSString alloc]
                       initWithFormat:@"Ich bin eine Person."];
    return descr;
}



@end
