//
//  Player.m
//  Vererbung
//
//  Created by Holger Hinzberg on 23.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "Player.h"

@implementation Player
@synthesize salary;
@synthesize shirtNumber;
@synthesize clubName;


-(id)init
{
    if ((self = [super init]))
    {
        self.clubName = @"Spielverein SC71";
        self.shirtNumber = 7;
        self.salary = 15000.0;
    }
    return self;
}

-(void)sayYourName
{
    // Aufruf an die Elternklasse
    [super sayYourName];
    
    NSLog(@"Ich spiele für den %@ mit der Nummer %i."
          , self.clubName, self.shirtNumber);
}

-(void)encodeWithCoder:(NSCoder *)aCoder
{
    // Alle Variablen für die Datei kodieren
    [aCoder encodeObject:
     self.name forKey:@"name"];
    
    [aCoder encodeObject:
     self.firstname forKey:@"firstname"];
    
    [aCoder encodeInt:
     self.age forKey:@"age"];
    
    [aCoder encodeObject:
     self.clubName forKey:@"clubName"];
    
    [aCoder encodeInt:
     self.shirtNumber forKey:@"shirtNumber"];
    
    [aCoder encodeDouble:
     self.salary forKey:@"salary"];
}

-(id)initWithCoder:(NSCoder *)aDecoder
{
    // Initialisierung der Elternklasse
    if (![super init]) 
        return nil;
    
    // Alle Variablen werden aus der Datei decodiert
    self.name =
     [aDecoder decodeObjectForKey:@"name"];
    
    self.firstname =
     [aDecoder decodeObjectForKey:@"firstname"];
    
    self.age =
     [aDecoder decodeIntForKey:@"age"];
    
    self.clubName =
     [aDecoder decodeObjectForKey:@"clubName"];
    
    self.shirtNumber =
     [aDecoder decodeIntForKey:@"shirtNumber"];
    
    self.salary =
     [aDecoder decodeDoubleForKey:@"salary"];
    
    return self;  
}

@end
