//
//  main.m
//  Personenliste
//
//  Created by Holger Hinzberg on 24.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Person.h"

NSComparisonResult compareFunction(id val1,id val2, void *context);

int main (int argc, const char * argv[])
{
    
    @autoreleasepool {
        
        /*
        
        // Drei Personen-Objekte mit 
        // unterschiedlichen Nachnamen erzeugen.
        Person *person1 = [Person new];
        person1.name = @"Meier";
        
        Person *person2 = [Person new];
        person2.name = @"Schmidt";
        
        Person *person3 = [Person new];
        person3.name = @"Schuster";
        
        // Ein NSArray erzeugen und die 
        // drei Personen hinzufügen.
        NSArray *personArray = [[NSArray alloc]
                                initWithObjects:person1,person2,person3, nil];
        
        // Die Anzahl der Objekte im Array ausgeben.
        NSLog(@"Objekte im Array: %lu", [personArray count]);
        
        // Eine Person an einer angegebenen Position
        // aus dem Array holen.
        Person *indexPerson =[personArray objectAtIndex:1];
        [indexPerson sayYourName];
        
        */
 
        /*
        
        // Eine Initialisierung für vier Objekte.
        NSMutableArray *personArray
        = [[NSMutableArray alloc] initWithCapacity:4];
        
        Person *person1 = [Person new];
        person1.name = @"Meier";
        [personArray addObject:person1];
        
        person1 = [Person new];
        person1.name = @"Schmidt";
        [personArray addObject:person1];
        
        person1 = [Person new];
        person1.name = @"Schuster";
        [personArray addObject:person1];
        
        //Anzahl der Objekte ausgeben
        NSLog(@"Objekte im Array: %lu", [personArray count]);
        
        // Objekt an Indexposition 1 holen.
        Person *indexPerson = [personArray objectAtIndex:1];
        [indexPerson sayYourName];
        
        */
        
        /*
        // Schleife für Ausgabe, Version 1
        for( int i = 0; i < [personArray count]; i++)
        {
            Person *indexPerson
            =[personArray objectAtIndex:i];
            [indexPerson sayYourName];
        }
         */
        
        /*
        // Schleife für Ausgabe, Version 2
        for( int i = 0; i < [personArray count]; i++)
        {
            // Verschachtelte Anweisungen
            [[personArray objectAtIndex:i] sayYourName];
        }
         */
        
        
        /*
        // Noch eine Person.
        Person *anotherPerson = [[Person alloc] init];
        anotherPerson.name = @"Koch";
        anotherPerson.firstname = @"Franz";
        
        // Die Person an Position 1 im Array wird
        // durch das neue Objekt ersetzt.
        [personArray replaceObjectAtIndex:1 
                               withObject:anotherPerson];
        
        */
        
        /*
        
        // Ein zweites Array mit weiteren Personen
        NSMutableArray *morePersonsArray
        = [[NSMutableArray alloc] initWithCapacity:2];
        
        Person *moreP1 = [Person new];
        moreP1.name = @"Schuhmacher";
        [morePersonsArray addObject:moreP1];
        
        Person *moreP2 = [Person new];
        moreP2.name = @"Bäcker";
        [morePersonsArray addObject:moreP2];
        
        // Ein Indexset, welches die 
        // Positionen 0 und 1 beschreibt.
        NSIndexSet *rangeIndex 
        = [NSIndexSet indexSetWithIndexesInRange:
           NSMakeRange(0, 2)];
        
        // Die Positionen im Indexset durch die
        // Personen im neuen Array ersetzen.
        [personArray replaceObjectsAtIndexes:
         rangeIndex withObjects:morePersonsArray];
        
        // Noch eine neue Person
        Person *insertPerson = [Person new];
        insertPerson.name = @"Gärtner";
        
        // Die Person an Position 1 dem Array hinzufügen
        [personArray insertObject:insertPerson atIndex:1];

        // Eine bestimmte Person entfernen.
        //[personArray removeObject:insertPerson];
        
        // Person an Position 0 entfernen.
        //[personArray removeObjectAtIndex:0];
        
        
        // Sortierung mit einer Funktion
        //[personArray sortUsingFunction: compareFunction context:NULL];
        
        // Sortierung mit einer Methode der Klasse Person
        [personArray sortUsingSelector:@selector(comparePerson:)];
        
        // Schleife mit Fast Enumeration
        for(Person *aPerson in personArray)
        {
            [aPerson sayYourName];
        }
*/

        
    }
    return 0;
}


NSComparisonResult compareFunction(id val1,id val2,void *context)
{
    // Die Zeiger in Personen umwandeln.
    Person *pers1 = val1;
    Person *pers2 = val2;
    
    // Die Nachnamen der Personen holen.
    NSString *name1 = pers1.name;
    NSString *name2 = pers2.name;
    
    // Vergleichen und dabei die Groß- und
    // Kleinschreibung ignorieren.
    if([name1 caseInsensitiveCompare:name2] 
       == NSOrderedAscending  )
    {
        return NSOrderedAscending ;
    }
    else if([name1 caseInsensitiveCompare:name2] 
            == NSOrderedDescending)
    {
        return NSOrderedDescending;
    }
    
    return NSOrderedSame;
}
